org.h2.build.indexer

## Class HtmlConverter

- java.lang.Object
- - org.h2.build.indexer.HtmlConverter

    public class HtmlConverter
    extends java.lang.Object

This class replaces HTML entities in text (for example ü) to the correct character and vice versa.

### Method Summary

Methods
`static java.lang.String` `convertHtmlToString(java.lang.String html)` Convert a HTML encoded text to a string.
`static java.lang.String` `convertStringToHtml(java.lang.String s)` Convert a string to HTML by encoding all required characters.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### convertStringToHtml

    public static java.lang.String convertStringToHtml(java.lang.String s)

Convert a string to HTML by encoding all required characters.

Parameters:
  `s` - the string
Returns:
  the HTML text

#### convertHtmlToString

    public static java.lang.String convertHtmlToString(java.lang.String html)

Convert a HTML encoded text to a string.

Parameters:
  `html` - the HTML text
Returns:
  the string